. .\0_globals.ps1

qlik context use $QlikSaaSContext

#place your extension zip files into the .\Data\Extensions folder
#run this script, any successful upload moves the extension to the Complete folder
#console will provide error messages for any that cannot upload

$extensions = Get-ChildItem -Path .\Data\Extensions -Name -Exclude Complete
Write-Host $extensions

foreach ($extension in $extensions)
{
		$r = qlik extension create -f Data\Extensions\$extension
		if($r)
		{
			#success
			Move-Item -Path .\Data\Extensions\$extension .\Data\Extensions\Complete
		}
}